import { MigrationEmitter } from './MigrationEmitter';
import type { Options, FileAction, RegisterCreateTask, RegisterRemoveTask, RegisterRenameTask, RegisterTransformTask, RegisterAfterHook, Task } from './types';
import { VirtualFileSystem } from './VirtualFileSystem';
import { AfterHookFn } from './hooks';
export declare type RegisterMethods = {
    transform: RegisterTransformTask;
    rename: RegisterRenameTask;
    remove: RegisterRemoveTask;
    create: RegisterCreateTask;
    after: RegisterAfterHook;
};
export declare class Migration {
    options: Options;
    events: MigrationEmitter;
    fs: VirtualFileSystem;
    instructions: Array<FileAction>;
    afterHooks: Array<AfterHookFn>;
    constructor(options: Options);
    runTask(task: Task): void;
    transform: RegisterTransformTask;
    rename: RegisterRenameTask;
    remove: RegisterRemoveTask;
    create: RegisterCreateTask;
    after: RegisterAfterHook;
    registerMethods: RegisterMethods;
    getMigrationInstructions(): FileAction[];
    write(): void;
    run(): void;
    static create(options: Options): Migration;
}
