"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reporter = void 0;
const chalk_1 = require("chalk");
const reporter = (migration) => {
    const { events } = migration;
    events.on('transform-fail', ({ file, error, task }) => {
        console.log(`${chalk_1.red('X')} transform failed on
      task: "${task.title}"
      file: "${file.fileName}"`);
        console.error(error);
    });
    events.on('create-fail', ({ error }) => {
        console.log(`${chalk_1.red('X')} create failed`);
        console.error(error);
    });
    events.on('rename-fail', ({ error, file }) => {
        console.log(`${chalk_1.red('X')} rename failed: ${file.fileName}`);
        console.error(error);
    });
    // events.on('task-start', ({ task }) => {
    // console.log(bold(task.title));
    // });
    events.on('transform-success-change', ({ newFile }) => {
        // console.log(`${green('✔')} ${newFile.fileName}`);
    });
    events.on('transform-success-noop', ({ file }) => {
        // console.log(`${blue('-')} ${dim(file.fileName)}`);
    });
};
exports.reporter = reporter;
