"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runRemoveTask = void 0;
const File_1 = require("../File");
const utils_1 = require("../utils");
const runRemoveTask = (task, migration) => {
    const files = File_1.getFiles(migration.options.cwd, task.pattern, migration);
    const fileResults = files
        .map((file) => {
        migration.events.emit('remove-start', { file, task });
        if (!file.exists) {
            migration.events.emit('remove-success-noop', {
                task,
                file,
            });
            return null;
        }
        if (task.fn)
            task.fn(file);
        migration.events.emit('remove-success', {
            task,
            file,
        });
        migration.fs.removeSync(file.path);
        return {
            type: task.type,
            file,
            task,
        };
    })
        .filter(utils_1.isTruthy);
    return fileResults;
};
exports.runRemoveTask = runRemoveTask;
